#include "testApp.h"
#include "ScriptEngine.hxx"
#include <iostream>
//--------------------------------------------------------------
void testApp::setup(){	 
	ofBackground(50,50,50);	
	
	scriptEngine::Start();
	scriptEngine::Load(ofToDataPath("myscript.py"));
}


//--------------------------------------------------------------
void testApp::update(){
}

//--------------------------------------------------------------
void testApp::draw(){
	
/*	int GetIntValue(const std::string& varName,int defaultValue=0);
	float GetFloatValue(const std::string& varName,float defaultValue=0.0f);
	std::string GetStrValue(const std::string& varName,const std::string& defaultValue="");
	int GetIntArray(const std::string& varName,IntList& list,bool clearArray=true);
	int GetFloatArray(const std::string& varName,FloatList& list,bool clearArray=true);
	int GetStrArray(const std::string& varName,StringList& list,bool clearArray=true);
*/
}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}

void testApp::exit()
{
	scriptEngine::End();
}
